Welcome to the iMore Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 3 of 3
  1. Thread AuthorThread Author   #1  
    dremzz's Avatar
    iPhone Newbie

    Posts
    14 Posts

    Default can't upgrade to 4.0.1

    I have a 3GS, I have 4.0 on my phone. I sync it to ITunes and I can add new apps and songs but as soon as it backs up it fails and gives an error (see pic). I also get this every time I try to upgrade to 4.0.1. Help. I have rebooted my PC, I have rebooted my phone. I just successfully upgraded my wifes phone with no issues.
    I tried to update my sons itouch and it turned into a brick.

    Help.
    Attached Thumbnails Attached Thumbnails can't upgrade to 4.0.1-itunes_error.jpg  
    ----
    I don't make mistakes, just understandable bad choices
  2. Thread AuthorThread Author   #2  
    dremzz's Avatar
    iPhone Newbie

    Posts
    14 Posts

    Default

    Rebooted everything again but as soon as it starts backing up I get the errror "session can be started with iphone" what is this error and why am I getting it?
    ----
    I don't make mistakes, just understandable bad choices
  3. #3  
    tsky74's Avatar
    iPhone Newbie

    Posts
    49 Posts

    Default

    I let getting the similar error, but said couldn't back up due to error (-20). What I did was went into preferences and deleted my supposed corrupt back up file for my phone, then voilà, it sync'd and backup'd for me. Not sure if this would help you. Note, prior to doing this, I restored my phone, so I had lost all my prior settings and data.

Posting Permissions

B